## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Run Analysis

#### API Endpoint

`POST /v1/analyses/{analysisId}/run`

#### cURL Example

```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/run \
  --header 'Authorization: Bearer <token>'
```

#### Python Example

```
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/run"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

#### JavaScript Example

```
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}/run', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP Example

```


```

### Response

202

```
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}
```

### Authorizations

**Authorization**  
`string` header required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**analysisId**  
`string` required

### Response Attributes

- **id**: The unique object identifier.
- **version**: Indicates the data integrity version to ensure data consistency.
- **creationDate**: The date that the object was originally created.
- **lastModifiedDate**: The date that the object was last updated or modified.
- **createdUserInfo**: Details about the user who created the object.
- **lastModifiedUserInfo**: Details about the user who last modified or updated the object.
- **entityId**: Identifies the entity used in the job.
- **error**: The reason why the async job failed.
- **errorMessage**: Was this page helpful?
